Bug 974215 - Slow to Start and Stops Responding on Close
Slow to Start and Stops Responding on Close
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Jakub Filak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-13 13:13 EDT by KitchM
Modified: 2016-11-30 19:44 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:33:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Shutdown problem message (72.92 KB, image/png)
2013-12-26 17:27 EST, KitchM
no flags Details

  None (edit)
Description KitchM 2013-06-13 13:13:06 EDT
Description of problem:When selecting the icon in the sys tray when ABRT finds a problem, the program is extremely slow to start up, and when exiting, a message pops up that it has stopped responding.


Version-Release number of selected component (if applicable):
0.2.12

How reproducible:
Always slow to start, and sometimes can't close normally.

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 KitchM 2013-09-04 15:16:59 EDT
I am always downloading the latest version you have for testing.  Sometimes I actually have a use for it and it will open onto the panel tray automatically.  I noticed it had today, and I selected to open it.

It took a full 40 seconds to open.  When I selected the program problem and reported it, it literally took many minutes to generate the report and come to the window where it accepts my comments.

Something it the code is slowing it down significantly, and it isn't my system.  My cores are setting there idle most of the time.
Comment 2 Fedora End Of Life 2013-12-21 08:59:58 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 KitchM 2013-12-23 15:19:18 EST
It appears to be getting worse.  It is dog slow. The user must wait to start up and wait to shut down.    ZZZZZzzzzzz......

Current version: 0.3.4.1.gfbf0
Comment 4 KitchM 2013-12-26 17:26:43 EST
Just got a great example of the shutdown error message.

Hope this helps.

Thanks
Comment 5 KitchM 2013-12-26 17:27:20 EST
Created attachment 842118 [details]
Shutdown problem message
Comment 6 Jakub Filak 2014-01-03 10:23:16 EST
Could you please run gnome-abrt in a terminal and submit the output here?
Comment 7 KitchM 2014-01-03 12:15:51 EST
Yes, here it is:
bash: gnome-abrt: command not found...
Comment 8 Jakub Filak 2014-01-06 02:00:25 EST
(In reply to KitchM from comment #7)
> Yes, here it is:
> bash: gnome-abrt: command not found...

Hmm, sorry, run 'sudo yum install gnome-abrt' first :)
Comment 9 KitchM 2014-01-06 11:38:39 EST
WARNING:root:Can't connect to DBus system bus 'org.freedesktop.problems' path '/org/freedesktop/problems': org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.problems was not provided by any .service files
WARNING:root:Can't connect to DBus system bus 'org.freedesktop.problems' path '/org/freedesktop/problems': org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.problems was not provided by any .service files

(gnome-abrt:2812): Gtk-WARNING **: Theme parsing error: gtk.css:102:18: Not using units is deprecated. Assuming 'px'.

(gnome-abrt:2812): Gtk-WARNING **: Theme parsing error: gtk.css:102:20: Not using units is deprecated. Assuming 'px'.
Can't open file '/home/xxx/.cache/abrt/spool/ccpp-2013-03-22-01:06:29-14502/type': No such file or directory
Missing or empty file: type
Unlocked '/home/xxx/.cache/abrt/spool/ccpp-2013-03-22-01:06:29-14502/.lock' (no or corrupted 'type' file)

These last two lines keep repeating until manually stopped with Ctrl-C.
Comment 10 Jakub Filak 2014-01-06 12:00:46 EST
(In reply to KitchM from comment #9)
> WARNING:root:Can't connect to DBus system bus 'org.freedesktop.problems'
> path '/org/freedesktop/problems': org.freedesktop.DBus.Error.ServiceUnknown:
> The name org.freedesktop.problems was not provided by any .service files
> WARNING:root:Can't connect to DBus system bus 'org.freedesktop.problems'
> path '/org/freedesktop/problems': org.freedesktop.DBus.Error.ServiceUnknown:
> The name org.freedesktop.problems was not provided by any .service files

Please install abrt-dbus too.

> Can't open file
> '/home/xxx/.cache/abrt/spool/ccpp-2013-03-22-01:06:29-14502/type': No such
> file or directory
> Missing or empty file: type
> Unlocked '/home/xxx/.cache/abrt/spool/ccpp-2013-03-22-01:06:29-14502/.lock'
> (no or corrupted 'type' file)
> 
> These last two lines keep repeating until manually stopped with Ctrl-C.

If you don't mind losing some old crashes, you can safely remove all the crash directories from /home/xxx/.cache/abrt/spool.

Or you can try to run the following ugly script:
cd /home/xxx/.cache/abrt/spool && for i in `find . -name "analyzer"`; do len=${#i};cp "$i" "${i:0:$len-9}/type"; done; for i in `find "$abrtdir" -mindepth 1 -maxdepth 1 -type d`; do chown `stat --format=%U:abrt $i` $i/*; done
Comment 11 KitchM 2014-01-06 14:04:10 EST
Running  sudo yum install abrt-dbus returned:


Loaded plugins: aliases, auto-update-debuginfo, changelog, fastestmirror,
              : filter-data, fs-snapshot, keys, list-data, merge-conf, post-
              : transaction-actions, priorities, protectbase, ps, refresh-
              : packagekit, remove-with-leaves, rpm-warm-cache, tmprepo,
              : tsflags, upgrade-helper, verify, versionlock
Loading mirror speeds from cached hostfile
 * fedora: mirror.pnl.gov
 * fedora-debuginfo: mirror.pnl.gov
 * rpmfusion-free: mirror.nexcess.net
 * rpmfusion-free-debuginfo: mirror.nexcess.net
 * rpmfusion-free-updates: mirror.nexcess.net
 * rpmfusion-free-updates-debuginfo: mirror.nexcess.net
 * rpmfusion-nonfree: mirror.nexcess.net
 * rpmfusion-nonfree-debuginfo: mirror.nexcess.net
 * rpmfusion-nonfree-updates: mirror.nexcess.net
 * rpmfusion-nonfree-updates-debuginfo: mirror.nexcess.net
 * updates: mirror.fdcservers.net
 * updates-debuginfo: mirror.fdcservers.net
Skipping filters plugin, no data
0 packages excluded due to repository protections
Resolving Dependencies
Skipping filters plugin, no data
--> Running transaction check
---> Package abrt-dbus.x86_64 0:2.1.10-1.fc20 will be installed
--> Processing Dependency: abrt-libs = 2.1.10-1.fc20 for package: abrt-dbus-2.1.10-1.fc20.x86_64
--> Processing Dependency: abrt = 2.1.10-1.fc20 for package: abrt-dbus-2.1.10-1.fc20.x86_64
--> Running transaction check
---> Package abrt-dbus.x86_64 0:2.1.10-1.fc20 will be installed
--> Processing Dependency: abrt = 2.1.10-1.fc20 for package: abrt-dbus-2.1.10-1.fc20.x86_64
---> Package abrt-libs.i686 0:2.1.10-1.fc20 will be installed
--> Processing Dependency: libreport.so.0 for package: abrt-libs-2.1.10-1.fc20.i686
--> Running transaction check
---> Package abrt-dbus.x86_64 0:2.1.10-1.fc20 will be installed
--> Processing Dependency: abrt = 2.1.10-1.fc20 for package: abrt-dbus-2.1.10-1.fc20.x86_64
---> Package libreport.i686 0:2.1.10-1.fc20 will be installed
--> Processing Dependency: libreport-python = 2.1.10-1.fc20 for package: libreport-2.1.10-1.fc20.i686
--> Processing Dependency: libreport-filesystem = 2.1.10-1.fc20 for package: libreport-2.1.10-1.fc20.i686
--> Processing Dependency: libaugeas.so.0(AUGEAS_0.8.0) for package: libreport-2.1.10-1.fc20.i686
--> Processing Dependency: libaugeas.so.0(AUGEAS_0.10.0) for package: libreport-2.1.10-1.fc20.i686
--> Processing Dependency: libaugeas.so.0(AUGEAS_0.1.0) for package: libreport-2.1.10-1.fc20.i686
--> Processing Dependency: libaugeas.so.0 for package: libreport-2.1.10-1.fc20.i686
--> Running transaction check
---> Package abrt-dbus.x86_64 0:2.1.10-1.fc20 will be installed
--> Processing Dependency: abrt = 2.1.10-1.fc20 for package: abrt-dbus-2.1.10-1.fc20.x86_64
---> Package augeas-libs.i686 0:1.1.0-2.fc20 will be installed
---> Package libreport.i686 0:2.1.10-1.fc20 will be installed
--> Processing Dependency: libreport-python = 2.1.10-1.fc20 for package: libreport-2.1.10-1.fc20.i686
--> Processing Dependency: libreport-filesystem = 2.1.10-1.fc20 for package: libreport-2.1.10-1.fc20.i686
--> Finished Dependency Resolution
Error: Package: libreport-2.1.10-1.fc20.i686 (updates)
           Requires: libreport-python = 2.1.10-1.fc20
           Installed: libreport-python-2.1.10.10.g12a3c-1.fc20.x86_64 (@fedora-abrt)
               libreport-python = 2.1.10.10.g12a3c-1.fc20
           Available: libreport-python-2.1.9-1.fc20.x86_64 (fedora)
               libreport-python = 2.1.9-1.fc20
           Available: libreport-python-2.1.10-1.fc20.x86_64 (updates)
               libreport-python = 2.1.10-1.fc20
Error: Package: libreport-2.1.10-1.fc20.i686 (updates)
           Requires: libreport-filesystem = 2.1.10-1.fc20
           Installed: libreport-filesystem-2.1.10.10.g12a3c-1.fc20.x86_64 (@fedora-abrt)
               libreport-filesystem = 2.1.10.10.g12a3c-1.fc20
           Available: libreport-filesystem-2.1.9-1.fc20.x86_64 (fedora)
               libreport-filesystem = 2.1.9-1.fc20
           Available: libreport-filesystem-2.1.10-1.fc20.x86_64 (updates)
               libreport-filesystem = 2.1.10-1.fc20
Error: Package: abrt-dbus-2.1.10-1.fc20.x86_64 (updates)
           Requires: abrt = 2.1.10-1.fc20
           Installed: abrt-2.1.10.13.gc14a.dirty-1.fc20.x86_64 (@fedora-abrt)
               abrt = 2.1.10.13.gc14a.dirty-1.fc20
           Available: abrt-2.1.9-1.fc20.x86_64 (fedora)
               abrt = 2.1.9-1.fc20
           Available: abrt-2.1.10-1.fc20.x86_64 (updates)
               abrt = 2.1.10-1.fc20
 You could try using --skip-broken to work around the problem
** Found 3 pre-existing rpmdb problem(s), 'yum check' output follows:
acpid-2.0.20-2.fc20.x86_64 is a duplicate with acpid-2.0.19-5.fc19.x86_64
1:gdm-3.10.0.1-1.fc20.x86_64 has missing requires of pulseaudio-gdm-hooks
kde-settings-kdm-20-12.fc20.noarch is a duplicate with kde-settings-kdm-19-23.fc19.noarch
Comment 12 Jakub Filak 2014-01-08 03:04:05 EST
(In reply to KitchM from comment #11)
Hmm, I propose you to un-install all nightly abrt/libreport/satyr/gnome-abrt packages and install them from the official Fedora repositories.

This should work for you:

$ yum erase abrt\* gnome-abrt\* satyr\*
$ yum downgrade libreport\*
$ yum install abrt-desktop abrt-java-connector
Comment 13 KitchM 2014-01-08 10:08:43 EST
I first checked the existing setup.  It took over thirty seconds to start.  Not selecting to make a report and just closing happened immediately.  Then I ran the commands as you suggested.  Opening the program still took the same time.  Closing it happened immediately, but clsing it after selecting Report took over thirty seconds still.
Comment 14 KitchM 2014-01-17 12:52:25 EST
Program still causing slow action or "program not responding" error message.
Comment 15 Fedora End Of Life 2015-01-09 13:24:52 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2015-02-17 10:33:42 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.